> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get discovered resolvers for a source

> Returns the list of discovered resolvers for the specified source, including both static (spec-defined) and dynamic resolvers found during the last discovery or extraction process.




## OpenAPI

````yaml /api-spec-v2.yaml get /v2/sources/{id}/resolvers
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/sources/{id}/resolvers:
    parameters:
      - $ref: '#/components/parameters/id'
    get:
      tags:
        - Sources
      summary: Get discovered resolvers for a source
      description: >
        Returns the list of discovered resolvers for the specified source,
        including both static (spec-defined) and dynamic resolvers found during
        the last discovery or extraction process.
      operationId: getSourceResolvers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/SourceResolversResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID
      required: true
      schema:
        $ref: '#/components/schemas/id'
      example:
        - value: 568971
  schemas:
    SourceResolversResponse:
      type: object
      required:
        - resolvers
        - discoveryStatus
        - discoveryRequired
      properties:
        resolvers:
          type: array
          items:
            $ref: '#/components/schemas/ResolverWithNotes'
          description: List of discovered or static resolvers.
        discoveryStatus:
          $ref: '#/components/schemas/DiscoveryStatus'
          description: The status of the asynchronous discovery process.
        discoveryRequired:
          type: boolean
          description: True if a full discovery has not yet been completed for this source.
    id:
      type: integer
      format: int
      examples:
        - 568971
    ResolverWithNotes:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: The machine-readable name of the resolver.
          x-order: 1
        notes:
          type: string
          description: A human-readable description of the resolver.
          x-order: 2
        type:
          type: string
          description: The type of the resolver.
          x-order: 3
        category:
          type: string
          description: The category of the resolver.
          x-order: 4
        suppressed:
          type: boolean
          description: Whether the resolver is suppressed.
          x-order: 5
        maskedByDefault:
          type: boolean
          description: Whether the resolver is masked by default.
          x-order: 6
        propertyDefinitions:
          type: array
          items:
            $ref: '#/components/schemas/PropertyDefinition'
          x-order: 7
    DiscoveryStatus:
      type: object
      required:
        - status
        - timestamp
      properties:
        status:
          type: string
          enum:
            - in_progress
            - completed
            - failed
          description: The status of the discovery process.
        timestamp:
          type: string
          format: date-time
          description: When the status was last updated.
        error:
          type: string
          description: >-
            If the status is 'failed', this field will contain the error
            message.
        resolverCount:
          type: integer
          description: The number of resolvers discovered so far.
    PropertyDefinition:
      type: object
      required:
        - name
        - type
        - required
      x-go-type-import:
        path: github.com/portable-io/portable/model/native
      x-go-type: native.PropDef
      properties:
        name:
          type: string
          description: A machine-readable name for the property
          x-order: 1
        displayName:
          type: string
          description: A human-readable name for the property
          x-go-type-skip-optional-pointer: true
          x-order: 2
        type:
          type: string
          description: The type of the property
          x-order: 3
          enum:
            - STRING
            - PASSWORD
            - TEXT
            - NUMBER
            - BOOLEAN
            - DATE
            - DATETIME
            - TIME
        required:
          type: boolean
          description: Whether the property's value is required
          x-order: 4
        description:
          type: string
          description: A human-readable description of the property
          x-go-type-skip-optional-pointer: true
          x-order: 5
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````